Package org.eclipse.emf.cdo.server.db.mapping

## Interface IClassMappingDeltaSupport

-     public interface IClassMappingDeltaSupport

  Interface which complements `IClassMapping` with methods to facilitate revision delta support.
  Since:
    2.0
  Author:
    Eike Stepper, Stefan Winkler
  See Also:
    `IMappingStrategy.hasDeltaSupport()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeRevisionDelta​(IDBStoreAccessor accessor, InternalCDORevisionDelta delta, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` | Write a revision delta.

- - ### Method Detail

    - #### writeRevisionDelta

          void writeRevisionDelta​(IDBStoreAccessor accessor,
                                  InternalCDORevisionDelta delta,
                                  long created,
                                  org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

      Write a revision delta.
      Parameters:
        `accessor` - the accessor to use.
        `delta` - the delta to write.
        `created` - the creation timestamp of the new version
        `monitor` - the monitor to report progress.